## net.sf.saxon.type
Class UnresolvedReferenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  net.sf.saxon.type.UnresolvedReferenceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UnresolvedReferenceExceptionImpl

    public abstract class UnresolvedReferenceException

extends RuntimeException

This exception occurs when an attempt is made to dereference a reference from one schema component to another, if the target of the reference cannot be found. Note that an unresolved reference is not necessarily an error: a schema containing unresolved references may be used for validation, provided the components containing the unresolved references are not actually used.

See Also:
  Serialized Form

Constructor Summary
`UnresolvedReferenceException(String ref)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnresolvedReferenceException

    public UnresolvedReferenceException(String ref)

Copyright (C) Michael H. Kay. All rights reserved.